local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.ShadowlandsWorldBossandRares(container)


--[[ Scroll Frame ]]--
local scrollcontainer = AceGUI:Create("SimpleGroup") 
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) 
scrollcontainer:SetLayout("Fill") 

container:AddChild(scrollcontainer)

local scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") 
scrollcontainer:AddChild(scroll)




--====================================================================================
--====================================================================================

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\inv_mawratmount_04:24|t '.."\124cffa335ee\124Hitem:190766::::::::60:::::\124h[Spectral Mawrat's Tail]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CDrop Chance: ".."|cffffffff 0.7%")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Zereth Mortis")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CFarm Type: ".."|cffffffff Mawsworn Supply Chest")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Mawsworn Supply Chest Locations")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 45.4 46.4 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 45.4 46.5 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 45.5 46.3 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 46.0 24.3 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 46.7 26.8 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 46.8 12.4 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 47.8 1.4 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 47.8 1.5 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 48.1 48.2 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 48.8 42.4 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 48.8 42.5 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 50.1 44.6 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 50.8 10.0 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 50.8 50.5 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 51.7 8.2 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 57.6 22.9 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 58.4 40.3 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 58.5 40.3 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 59.4 31.4 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 59.5 31.4 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 59.9 16.7 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 60.2 32.4 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 61.0 30.5 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 63.0 24.9 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 63.3 21.0 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 67.6 29.6 Mawsworn Supply Chest") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    



--====================================================================================
--====================================================================================
  
--====================================================================================
--====================================================================================

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\inv_mawratmount_02:24|t '.."\124cffa335ee\124Hitem:190765::::::::60:::::\124h[Iska's Mawrat Leash]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CDrop Chance: ".."|cffffffff 100%")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Zereth Mortis")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CFarm Type: ".."|cffffffff Rare Elite")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Rhuv, Gorger of Ruin")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 63.8 26.8 Rhuv, Gorger of Ruin") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    



--====================================================================================
--====================================================================================


--====================================================================================
--====================================================================================

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\ability_mount_progenitorjellyfish_blue:24|t '.."\124cffa335ee\124Hitem:187676::::::::60:::::\124h[Deepstar Polyp]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CDrop Chance: ".."|cffffffff 7%")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Zereth Mortis")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CFarm Type: ".."|cffffffff Rare Elite")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Hirukon")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1970 51.6 74.6 Hirukon") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    



--====================================================================================
--====================================================================================  

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\inv_maldraxxusboarmount_black:24|t '.."\124cffa335ee\124Hitem:182085::::::::60:::::\124h[Blisterback Bloodtusk]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CDrop Chance: ".."|cffffffff 2%")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Maldraxxus")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CFarm Type: ".."|cffffffff Rare Elite - Warbringer Mal'korak")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Spawn Location")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1536 33.8 80.0 Warbringer Mal'Korak") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    
  

  
--====================================================================================
--====================================================================================





--====================================================================================
--====================================================================================

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\inv_fox2_green:24|t '.."\124cffa335ee\124Hitem:180730::::::::60:::::\124h[Wild Glimmerfur Prowler]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CDrop Chance: ".."|cffffffff 1%")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Ardenweald")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CFarm Type: ".."|cffffffff Rare Elite - Valfir the Unrelenting")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Spawn Location")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1565 30.6 55.0 Valfir the Unrelenting") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    
  

  
--====================================================================================
--====================================================================================

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\inv_darkhoundmount_draka:24|t '.."\124cffa335ee\124Hitem:184062::::::::60:::::\124h[Gnawed Reins of the Battle-Bound Warhound]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CDrop Chance: ".."|cffffffff 0.7%")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Maldraxxus - Theater of Pain")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CFarm Type: ".."|cffffffff Elites")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Spawn Location")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1536 50.6 47.6 Xantuth the Blighted") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    
  

  
--====================================================================================
--====================================================================================

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\inv_deathwargmountblack:24|t '.."\124cffa335ee\124Hitem:180581::::::::60:::::\124h[Hopecrusher Gargon]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CDrop Chance: ".."|cffffffff 1.4%")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Revendreth")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CFarm Type: ".."|cffffffff Rare Elite - Hopecrusher")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Spawn Location")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1525 52.0 51.4 Hopecrusher") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    
  

  
--====================================================================================
--====================================================================================

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\inv_decomposermountyellow:24|t '.."\124cffa335ee\124Hitem:180725::::::::60:::::\124h[Spinemaw Gladechewer]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CDrop Chance: ".."|cffffffff 64%")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Ardenweald")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CFarm Type: ".."|cffffffff Rare - Gormtamer Tizo")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Spawn Location")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1565 28.6 55.2 Gormtamer Tizo") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    
  

  
--====================================================================================
--====================================================================================

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\inv_devourersmallmount_dark:24|t '.."\124cffa335ee\124Hitem:180582::::::::60:::::\124h[Endmire Flyer Tether]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CDrop Chance: ".."|cffffffff 0.9%")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Revendreth")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CFarm Type: ".."|cffffffff Rare Elite - Famu the Infinite")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Spawn Location")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1525 63.0 46.4 Famu the Infinite") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    
  

  
--====================================================================================
--====================================================================================

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\inv_giantbeastmount:24|t '.."\124cffa335ee\124Hitem:182075::::::::60:::::\124h[Bonehoof Tauralus]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CDrop Chance: ".."|cffffffff 0.4%")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Maldraxxus")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CFarm Type: ".."|cffffffff Rare - Tahonta")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Spawn Location")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1536 44.6 52.0 Tahonta") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    
  

  
--====================================================================================
--====================================================================================

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\inv_giantbeastmount2:24|t '.."\124cffa335ee\124Hitem:181815::::::::60:::::\124h[Armored Bonehoof Tauralus]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CDrop Chance: ".."|cffffffff 0.4%")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Maldraxxus")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CFarm Type: ".."|cffffffff Rare Elite - Sabriel the Bonecleaver")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Spawn Location")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1536 50.6 48.0 Sabriel the Bonecleaver") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    
  

  
--====================================================================================
--====================================================================================

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\inv_giantvampirebatmount_bronze:24|t '.."\124cffa335ee\124Hitem:180461::::::::60:::::\124h[Horrid Dredwing]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CDrop Chance: ".."|cffffffff 2%")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Revendreth ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CFarm Type: ".."|cffffffff Rare - Harika the Horrid")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Spawn Location")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1525 46.0 78.6 Harika the Horrid") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    
  

  
--====================================================================================
--====================================================================================

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\inv_jailerhoundmount_gray:24|t '.."\124cffa335ee\124Hitem:184167::::::::60:::::\124h[Mawsworn Soulhunter]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CDrop Chance: ".."|cffffffff 2%")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff The Maw")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CFarm Type: ".."|cffffffff Elite - Gorged Shadehound")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Spawn Location")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1543 53.6 78.8 Gorged Shadehound") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    
  

  
--====================================================================================
--====================================================================================

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\inv_maldraxxusboarmount_green:24|t '.."\124cffa335ee\124Hitem:182084::::::::60:::::\124h[Gorespine]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CDrop Chance: ".."|cffffffff 2%")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Maldraxxus")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CFarm Type: ".."|cffffffff Rare - Nerissa Heartless")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Spawn Location")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1536 66.0 34.4 Nerissa Heartless") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    
  

  
--====================================================================================
--====================================================================================

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\inv_rocmaldraxxusmountpurple:24|t '.."\124cffa335ee\124Hitem:182079::::::::60:::::\124h[Slime-Covered Reins of the Hulking Deathroc]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CDrop Chance: ".."|cffffffff 4%")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Maldraxxus")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CFarm Type: ".."|cffffffff Rare - Violet Mistake")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Spawn Location")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1536 58.6 74.2 Violet Mistake") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    
  

  
--====================================================================================
--====================================================================================

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\inv_rocmaldraxxusmountgreen:24|t '.."\124cffa335ee\124Hitem:182080::::::::60:::::\124h[Predatory Plagueroc]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CDrop Chance: ".."|cffffffff 2%")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Maldraxxus")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CFarm Type: ".."|cffffffff Rare - Gieger")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Spawn Location")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1536 31.4 35.4 Gieger") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    
  

  
--====================================================================================
--====================================================================================

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\inv_toadardenwealdmount:24|t '.."\124cffa335ee\124Hitem:182650::::::::60:::::\124h[Arboreal Gulper]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CDrop Chance: ".."|cffffffff 72%")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Ardenweald")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CFarm Type: ".."|cffffffff Rare Elite - Humon'gozz")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Spawn Location")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1565 32.6 30.6 Rapidly Growing Mushroom") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    
  

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CNotes: ".."|cffffffff You will need to farm the mobs in the area for the item, ".."\124cff1eff00\124Hitem:175247::::::::60:::::\124h[Unusually Large Mushroom]\124h\124r".." then use it on the Rapidly Growing Mushroom to spawn the rare.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
--====================================================================================
--====================================================================================

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\inv_devourerswarmermount_dark:24|t '.."\124cffa335ee\124Hitem:187183::::::::60:::::\124h[Rampaging Mauler]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CDrop Chance: ".."|cffffffff 2.4%")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Korthia")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CFarm Type: ".."|cffffffff Rare Elite - Konthrogz the Obliterator")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Spawn Location")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1961 44.4 29.4 Konthrogz the Obliterator") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1961 44.6 29.4 Konthrogz the Obliterator") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1961 44.6 43.0 Konthrogz the Obliterator") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1961 47.0 35.4 Konthrogz the Obliterator") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1961 47.6 35.6 Konthrogz the Obliterator") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1961 51.4 41.6 Konthrogz the Obliterator") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1961 51.8 41.2 Konthrogz the Obliterator") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1961 52.6 21.4 Konthrogz the Obliterator") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1961 52.6 21.6 Konthrogz the Obliterator") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1961 56.6 67.0 Konthrogz the Obliterator") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1961 58.8 51.4 Konthrogz the Obliterator") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way #1961 59.0 51.8 Konthrogz the Obliterator") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)

  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    


  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CNotes: ".."|cffffffff Wise to check the map when he spawns, as this mob has multiple spawn locations")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)  

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
--====================================================================================
--====================================================================================

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\inv_flymaldraxxusmount_black:24|t '.."\124cffa335ee\124Hitem:186489::::::::60:::::\124h[Lord of the Corpseflies]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CDrop Chance: ".."|cffffffff 1%")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Korthia")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CFarm Type: ".."|cffffffff Rare - Fleshwing")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Spawn Location")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1961 59.8 43.6 Fleshwing") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    
  

  
--====================================================================================
--====================================================================================

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\inv_mawexpansionbearmount_red:24|t '.."\124cffa335ee\124Hitem:186645::::::::60:::::\124h[Crimson Shardhide]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CDrop Chance: ".."|cffffffff 2%")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Korthia")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CFarm Type: ".."|cffffffff Rare - Malbog")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Spawn Location")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1961 44.4 29.6 Malbog") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    
  

  
--====================================================================================
--====================================================================================

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\inv_mawexpansionfliermountred:24|t '.."\124cffa335ee\124Hitem:186652::::::::60:::::\124h[Garnet Razorwing]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CDrop Chance: ".."|cffffffff 3%")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff Korthia")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CFarm Type: ".."|cffffffff Rare - Reliwik the Defiant")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Spawn Location")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1961 56.6 67.6 Reliwik the Defiant") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    
  

  
--====================================================================================
--====================================================================================

  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\ability_mount_mawhorsespikes_yellow:24|t '.."\124cffa335ee\124Hitem:186659::::::::60:::::\124h[Fallen Charger's Reins]\124h\124r")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CDrop Chance: ".."|cffffffff 10%")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CLocation: ".."|cffffffff The Maw")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CFarm Type: ".."|cffffffff Rare Elite - Fallen Charger")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Spawn Location")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way #1543 38.0 34.6 Fallen Charger") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

        else
        
          local desc = AceGUI:Create("Label")
          desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
          desc:SetFullWidth(true)
          desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
          scroll:AddChild(desc)
  
  
  
end    
  

  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CNotes: ".."|cffffffff This mount moves in a lazy eight shape around the top side of the zone.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  end